jupyter-notebook(1)

NAME

jupyter-notebook - The Jupyter HTML notebook

SYNOPSIS

jupyter notebook [subcommand] [options]

DESCRIPTION

Launches a tornado server which serves up a HTML5/Javascript notebook client.

SUBCOMMANDS

list

    List currently running notebook servers

OPTIONS

Only a subset of options are listed here. To see the complete list, run jupyter notebook --help-all

--debug

    Enable debugging output

--no-browser

    Don't open the notebook in a browser after startup

--port PORT

    The port the notebook server will listen on (default 8888).

--ip IP

    The IP address the notebook server will listen on (default localhost).

--notebook-dir PATH

    The directory the server will use as the root for notebook files.